Bug 251712 - [rhts] selinux warnings with automount
Summary: [rhts] selinux warnings with automount
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Daniel Walsh
QA Contact:
URL: http://rhts.lab.boston.redhat.com/cgi...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-10 15:59 UTC by Don Zickus
Modified: 2015-02-18 17:18 UTC (History)
2 users (show)

Fixed In Version: RHBA-2008-0465
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 16:05:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0465 normal SHIPPED_LIVE selinux-policy bug fix update 2008-05-20 14:36:31 UTC

Description Don Zickus 2007-08-10 15:59:57 UTC
Description of problem:

while running the mmap test on a PAE kernel, I ran into these avc warnings:
(see link for easier reading)

time->Fri Aug 10 00:47:28 2007
type=SYSCALL msg=audit(1186721248.365:10): arch=40000003 syscall=5 success=no
exit=-13 a0=687b63 a1=0 a2=680530 a3=87e4300 items=0 ppid=2160 pid=2161
auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0
tty=(none) comm="automount" exe="/usr/sbin/automount"
subj=system_u:system_r:automount_t:s0 key=(null)
type=AVC msg=audit(1186721248.365:10): avc:  denied  { read } for  pid=2161
comm="automount" name="random" dev=tmpfs ino=1929
scontext=system_u:system_r:automount_t:s0
tcontext=system_u:object_r:random_device_t:s0 tclass=chr_file
----

Version-Release number of selected component (if applicable):

distro rhel-5.1 20070808.nightly
kernel-2.6.18-39.el5


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Walsh 2007-08-22 13:49:54 UTC
Fixed in selinux-policy-2.4.6-82

Comment 2 RHEL Product and Program Management 2008-01-30 19:15:44 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 errata-xmlrpc 2008-05-21 16:05:25 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0465.html



Note You need to log in before you can comment on or make changes to this bug.